@import "../../assets/variables.scss";

.header-content {
  // padding: 15px 0 20px 0;
  position: relative;
  // background-color: $headerBackgroundColor;
  box-shadow: 0px 4px 10px 4px rgba(34, 60, 80, 0.2);
  z-index: 1;
  .header__box {
    height: 93px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .header__box-left-side {
      .logo {
        img {
          cursor: pointer;
          width: 232px;
        }
      }
    }

    .header__box-right-side {
      display: flex;
      height: 100%;
      align-items: flex-end;
      .navigation {
        .nav-item {
          .ul-item {
            display: flex;
            .item {
              font-size: 14px;
              list-style: none;
              font-weight: 700;
              letter-spacing: 0.05em;
              text-transform: uppercase;
              margin-right: 40px;
              transition: 0.3s ease-out;
              padding-bottom: 20px;
              a {
                color: $liColor;
                text-decoration: none;
              }

              &:nth-child(5) {
                margin-right: 0;
              }

              border-bottom: 2px solid transparent;
              &:hover {
                border-color: $blue;
              }
            }
          }
        }
      }

      .hamburger {
        display: none;
        cursor: pointer;
        .line {
          width: 24px;
          height: 2px;
          background-color: $dark;

          &:nth-child(2) {
            margin: 5px 0;
          }
        }

        .mobileMenu {
          display: none;
        }
      }
    }
  }
}

@media screen and (max-width: 575px) {
  .header-content {
    width: 100%;
    // padding-left: 20px;
    // padding-right: 20px;
    .header__box {
      padding: 0 20px;
      .header__box-right-side {
        align-items: center !important;
        .navigation {
          display: none;
        }

        .hamburger {
          display: block;

          .mobileMenu {
            opacity: 0;
            display: none;
            position: absolute;
            left: 0;
            top: -200px;
            right: 0;
            background-color: $headerBackgroundColor;
            padding: 10px;

            .mobile-menu {
              .ul-menu {
                .menu-item {
                  list-style: none;
                  line-height: 40px;
                }
              }
            }
            &.active {
              display: block;
              top: 97px;
              opacity: 1;
            }
          }

          &.active {
            .line {
              &:nth-child(2) {
                opacity: 0;
              }
              &:nth-child(1) {
                position: relative;
                top: 5px;
                transform: rotate(40deg);
              }
              &:nth-child(3) {
                position: relative;
                top: -9px;
                transform: rotate(-40deg);
              }
            }
          }
        }
      }
    }
  }
}
